--- title: "Object Recognition" url: https://docs.catalyst.zoho.com/en/api/code-reference/zia-services/object-recognition/ description: "This API enables you to detect, locate, and recognize individual objects in an image file." last_updated: 2026-08-17T12:16:04Z service: Zia Services type: api --- # Object Recognition [Zia Object Recognition](https://docs.catalyst.zoho.com/en/zia-services/help/object-recognition/introduction/) detects, locates, and recognizes individual objects in an image file. It can identify 80 different kinds of common objects from images. Zia can recognize 80 kinds of specific object types, some of which include: person, car, dog, chair, traffic light, knife, umbrella, and cellphone. # Execute Object Recognition ### Description This API is used to detect, locate, and recognize individual objects in an image file. The response returns the coordinates of each detected object in the image, its type, and the confidence score of each recognition. You must specify the path to the image file in the API request, as shown in the sample request. ### Request Details #### Request URL `POST` http://api.catalyst.zoho.com/baas/v1/project/{project_id}/ml/detect-object - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **content-type:** multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.mlkit.READ #### Request JSON Properties - **file** (file, mandatory): The image file that is to be processed for object recognition. You must provide the path to it in your local system. Allowed formats: *.webp, .jpeg, .png*, .txt File size limit: 10 MB ### Response Details The response will contain the details of each individual object detected, which includes its `co_ordinates`, `object_type`, and the `confidence` score of the detection. **Sample Request** ```bash curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/56000000405001/ml/detect-object \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" \ -H "Content-Type: multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW" \ -F "file=@attachment1.txt" \ ``` **Sample Response** ```json { "status":"success", "data":{ "objects":[ { "co_ordinates":[ 37, 94, 704, 434 ], "object_type":"dog", "confidence":"98.92" }, { "co_ordinates":[ 20, 67, 202, 120 ], "object_type":"umbrella", "confidence":"97.05" } ] } } ``` ### SDK Documentation [Object Recognition- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/zia-services/object-recognition)

[Object Recognition- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/zia-services/object-recognition)

[Object Recognition- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/zia-services/object-recognition)